function [pt,varfields,kind]=dde_hopf_create(varargin)
%% create Hopf point with empty stability and normal form information (unless specified explicitly)
%
% (c) DDE-BIFTOOL v. 3.2a(315), 29/01/2019
%%
default={'kind','hopf','parameter',[],'x',[],'v',[],'omega',[],'stability',[],'nmfm',[],'nvec',[],'flag',''};
[pt,dum,userdefined]=dde_set_options(default,varargin,'pass_on','point'); %#ok<ASGLU>
pt.kind='hopf';
pt=dde_point_overwritefields(pt,userdefined,'stability',[],'nmfm',[],'nvec',[],'flag','');
varfields=struct('x',1,'v',2,'omega',1,'parameter',1);
kind='stst';
end
