function [psol,tangent]=dde_psol_from_hcli(point,varargin)
%% convert connecting orbit to psol, assuming long period
% tangent assumes change only in period
%
% (c) DDE-BIFTOOL v. 3.2a(308), 28/10/2018
%%
psol=dde_psol_create('point',point,varargin{:});
tangent=dde_psol_create('point',psol,'profile',0*psol.profile,'period',1);
end
