%% Convert possibly cells to sym arrays safely
% This wrapper converts if necessary, but does nothing otherwise.
%
% (c) DDE-BIFTOOL v. 3.2a(309), 28/10/2018
%%
function xa=dde_sym_from_cell(xc)
if iscell(xc)
    xa=cell2sym(xc);
elseif isa(xc,'sym')
    xa=xc;
else
    error('dde_sym_from_cell:input',[...
        'dde_sym_from_cell: input is neither cell (of strings) nor sym array',...
        'but of type %s'],class(xc));
end
