function point=dde_hopf_postprocess(point,data)
%% change complex phase of Hopf eigenvector after newton iteration
% making it as close to the reference as possible
%
% (c) DDE-BIFTOOL v. 3.2a(308), 28/10/2018
%%
vref=data.previous.v;
v=point.v;
phi=angle(v'*vref);
point.v=v*exp(1i*phi);
end
